{{! This component is used to display a Complex Stat in an Actor, display as a big circle, possibly with a szecondary stat in a circle around it.
Parameters :
- rollable {Boolean} : can we use the label of the stat to make a roll
- stat {Object} : stat object
- reference {String} : the stat name value. Used by FVTT to save the stat value to the System
- extension-stat {Object} : extension-stat object
- extension-reference {String} : the  extension stat name value. Used by FVTT to save the stat value to the System
}}
<div class="main-stat flexcol {{extra-css}}">
    {{#if rollable}}
        <a class="skill-name" title="{{localize stat.roll.label}}"
           data-action-name="{{localize stat.roll.label}}"
           data-action-value="{{stat.value}}"
           data-associate-attribute-name="{{stat.roll.associatedAttribute}}">
            <label for={{reference}}>{{localize stat.label}}</label>
        </a>
    {{else}}
        {{#if statLabel}}
            <label for={{reference}}>{{localize statLabel}}</label>
        {{else}}
            <label for={{reference}}>{{localize stat.label}}</label>
        {{/if}}
    {{/if}}
    <div class="main-stat-value flexrow">
        {{#if extension-stat}}
            {{> "systems/tor1e/templates/sheets/actors/components/extensions/stat-circle-ext.hbs"
                    position="secondary"
                    stat=extension-stat
                    reference=extension-reference}}
        {{else}}
            {{#if extension-item}}
                {{> "systems/tor1e/templates/sheets/actors/components/extensions/item-circle-ext.hbs"
                        position="secondary"
                        css-class=extension-css-class
                        canBeDeleted=extension-canBeDeleted
                        item=extension-item}}
            {{/if}}
        {{/if}}
        <input id={{reference}} name={{reference}} type="number" value="{{stat.value}}"
               data-dtype="{{stat.type}}"/>
    </div>
</div>